# Created by pyp2rpm-1.0.1
%global pypi_name Delorean
%global with_python3 1

Name:           python-delorean
Version:        0.5.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        library for manipulating datetimes with ease and clarity

License:        MIT license
Url:            https://pypi.python.org/pypi/Delorean
Source0:        https://pypi.python.org/packages/source/D/Delorean/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python2)
 
%if %{?with_python3}
BuildRequires:  pkgconfig(python3)
%endif # if with_python3


%description 
`Delorean` is a library for clearing up the inconvenient
truths that arise dealing with datetimes in Python.

%if 0%{?with_python3}
%package -n     python3-delorean
Summary:        library for manipulating datetimes with ease and clarity
Group:          Development/Python
BuildArch:      noarch

%description -n python3-delorean
`Delorean` is a library for clearing up the inconvenient truths that
arise dealing with datetimes in Python.
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%py2_build

%if 0%{?with_python3}
pushd %{py3dir}
%py3_build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%py3_install
popd
%endif # with_python3

%py2_install


%files
%doc README.rst docs/license.rst LICENSE.txt
%{python2_sitelib}/delorean
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-delorean
%doc README.rst docs/license.rst LICENSE.txt
%{python3_sitelib}/delorean
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3



%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 971081
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 0.5.0-1.mga6
+ Revision: 889196
- new version: 0.5.0 (fix python-dateutil version requirement)
- use new python macros
- add an Url

* Sat Oct 10 2015 tv <tv> 0.3.1-7.mga6
+ Revision: 888759
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-6.mga5
+ Revision: 749770
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.1-5.mga5
+ Revision: 728227
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-4.mga5
+ Revision: 687962
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.3.1-3.mga5
+ Revision: 628546
- Rebuild for new Python

* Wed Nov 27 2013 joequant <joequant> 0.3.1-2.mga4
+ Revision: 553747
- add python3

* Wed Nov 27 2013 joequant <joequant> 0.3.1-1.mga4
+ Revision: 553696
- imported package python-delorean

